CVE-2002-0490
CVSS10.0
发布时间 :2002-08-12 00:00:00
修订时间 :2008-09-05 16:28:09
NMCO    

[原文]Instant Web Mail before 0.60 does not properly filter CR/LF sequences, which allows remote attackers to (1) execute arbitrary POP commands via the id parameter in message.php, or (2) modify certain mail message headers via numerous parameters in write.php.


[CNNVD]Instant Web Mail POP命令执行漏洞(CNNVD-200208-215)

        
        Instant Web Mail是一款免费的基于WEB的POP邮件客户端,由PHP实现,运行在Linux和多种Unix系统平台下,也可以运行在Windows平台下。
        Instant Web Mail对用户提交内容缺少充分过滤可导致POP命令可执行。
        Instant Web Mail的command()是发送POP3命令到POP3服务器的函数,允许嵌入CR和LF字符,攻击者可以在CR和LF字符后增加其他的POP3请求,通过构建包含恶意POP3命令的URL连接发送给目标用户,当用户使用Instant Web Mail查看连接的时候就会执行后面增加的POP3命令,如DELE删除用户等。
        

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:instant_web_mail:instant_web_mail:0.56
cpe:/a:instant_web_mail:instant_web_mail:0.55
cpe:/a:instant_web_mail:instant_web_mail:0.58
cpe:/a:instant_web_mail:instant_web_mail:0.59
cpe:/a:instant_web_mail:instant_web_mail:0.57

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0490
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0490
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200208-215
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4361
(VENDOR_ADVISORY)  BID  4361
http://www.iss.net/security_center/static/8650.php
(VENDOR_ADVISORY)  XF  instant-webmail-pop-commands(8650)
http://www.securityfocus.com/archive/1/264041
(VENDOR_ADVISORY)  BUGTRAQ  20020323 Instant Web Mail additional POP3 commands and mail headers
http://instantwebmail.sourceforge.net/#changeLog
(UNKNOWN)  CONFIRM  http://instantwebmail.sourceforge.net/#changeLog

- 漏洞信息

Instant Web Mail POP命令执行漏洞
危急 未知
2002-08-12 00:00:00 2005-05-02 00:00:00
远程  
        
        Instant Web Mail是一款免费的基于WEB的POP邮件客户端,由PHP实现,运行在Linux和多种Unix系统平台下,也可以运行在Windows平台下。
        Instant Web Mail对用户提交内容缺少充分过滤可导致POP命令可执行。
        Instant Web Mail的command()是发送POP3命令到POP3服务器的函数,允许嵌入CR和LF字符,攻击者可以在CR和LF字符后增加其他的POP3请求,通过构建包含恶意POP3命令的URL连接发送给目标用户,当用户使用Instant Web Mail查看连接的时候就会执行后面增加的POP3命令,如DELE删除用户等。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 不要点击可疑链接。
        厂商补丁:
        Instant Web Mail
        ----------------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Instant Web Mail Upgrade instantwebmail.tar.bz2
        
        http://understroem.dk/instantwebmail/instantwebmail.tar.bz2

- 漏洞信息

5280
Instant Web Mail message.php Execute Arbitrary POP3 Command
Remote / Network Access

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-03-23 Unknow
2002-03-23 Unknow

- 解决方案

Upgrade to version 0.60 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站